# MS_HSequenceOfEngine.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_MS_HSequenceOfEngine.hxx>`
`#include <MS_SequenceOfEngine.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_MS_Engine.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_MS_Engine
#define | Item_hxx <MS_Engine.hxx>
#define | TheSequence MS_SequenceOfEngine
#define | TheSequence_hxx <MS_SequenceOfEngine.hxx>
#define | TCollection_HSequence MS_HSequenceOfEngine
#define | TCollection_HSequence_hxx <MS_HSequenceOfEngine.hxx>
#define | Handle_TCollection_HSequence Handle_MS_HSequenceOfEngine
#define | TCollection_HSequence_Type_() MS_HSequenceOfEngine_Type_()

## Functions

Handle_MS_HSequenceOfEngine | ShallowCopy (const Handle_MS_HSequenceOfEngine &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_MS_HSequenceOfEngine

#define Item Handle_MS_Engine

#define Item_hxx <MS_Engine.hxx>

#define TCollection_HSequence MS_HSequenceOfEngine

#define TCollection_HSequence_hxx <MS_HSequenceOfEngine.hxx>

#define TCollection_HSequence_Type_ | (

)

MS_HSequenceOfEngine_Type_()

#define TheSequence MS_SequenceOfEngine

#define TheSequence_hxx <MS_SequenceOfEngine.hxx>

## Function Documentation

Handle_MS_HSequenceOfEngine ShallowCopy | ( | const Handle_MS_HSequenceOfEngine & | me | ) | `[inline]`